net.sf.jasperreports.compilers

## Class JRBshGenerator

- java.lang.Object
- - net.sf.jasperreports.compilers.JRBshGenerator

-     public class JRBshGenerator
      extends java.lang.Object

  Version:
    $Id: JRBshGenerator.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,JRField>` | `fieldsMap`
    `protected java.util.Map<java.lang.String,? extends JRParameter>` | `parametersMap`
    `protected JRSourceCompileTask` | `sourceTask`
    `protected JRVariable[]` | `variables`
    `protected java.util.Map<java.lang.String,JRVariable>` | `variablesMap`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBshGenerator(JRSourceCompileTask sourceTask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `generateDeclarations(java.lang.StringBuffer sb)`
    `protected void` | `generateInitMethod(java.lang.StringBuffer sb)`
    `protected java.lang.String` | `generateMethod(byte evaluationType, java.util.List<JRExpression> expressionsList)`
    `protected java.lang.String` | `generateScript()`
    `static java.lang.String` | `generateScript(JRSourceCompileTask sourceTask)`
    `protected void` | `generateScriptEnd(java.lang.StringBuffer sb)`
    `protected void` | `generateScriptStart(java.lang.StringBuffer sb)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceTask

          protected final JRSourceCompileTask sourceTask

    - #### parametersMap

          protected java.util.Map<java.lang.String,? extends JRParameter> parametersMap

    - #### fieldsMap

          protected java.util.Map<java.lang.String,JRField> fieldsMap

    - #### variablesMap

          protected java.util.Map<java.lang.String,JRVariable> variablesMap

    - #### variables

          protected JRVariable[] variables

  - ### Constructor Detail

    - #### JRBshGenerator

          protected JRBshGenerator(JRSourceCompileTask sourceTask)

  - ### Method Detail

    - #### generateScript

          public static java.lang.String generateScript(JRSourceCompileTask sourceTask)

    - #### generateScript

          protected java.lang.String generateScript()

    - #### generateScriptStart

          protected final void generateScriptStart(java.lang.StringBuffer sb)

    - #### generateDeclarations

          protected final void generateDeclarations(java.lang.StringBuffer sb)

    - #### generateInitMethod

          protected final void generateInitMethod(java.lang.StringBuffer sb)

    - #### generateScriptEnd

          protected void generateScriptEnd(java.lang.StringBuffer sb)

    - #### generateMethod

          protected final java.lang.String generateMethod(byte evaluationType,
                                        java.util.List<JRExpression> expressionsList)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com